Skip to main content
GET
/
api
/
v2
/
user
/
settings
User Settings
curl --request GET \
  --url https://api.example.com/api/v2/user/settings \
  --header 'Content-Type: application/json' \
  --data '
{
  "language": "<string>",
  "image_format": "<string>",
  "notifications_enabled": true
}
'

Get Settings

curl https://neuralbox.top/api/v2/user/settings \
  -H "Authorization: Bearer nb_YOUR_API_KEY"
{
  "language": "en",
  "image_format": "webp",
  "notifications_enabled": true,
  "default_image_size": "1024x1024"
}

Update Settings

curl -X PATCH https://neuralbox.top/api/v2/user/settings \
  -H "Authorization: Bearer nb_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"image_format": "png", "language": "ru"}'
language
string
Interface language: en | ru
image_format
string
Default output format for image generation: webp (default) | png | jpeg
notifications_enabled
boolean
Enable/disable Telegram bot notifications.
Returns 200 OK with the updated settings object.